- Home
- API Enriched
- Ddos
- infraprotect
- Update Infraprotect Internet prefix advertisement.
Update Infraprotect Internet prefix advertisement.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_internet_prefix_advertisements/update-advertisement-status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"activation_announce":{},"activation_withdraw":{},"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_internet_prefix_advertisements/update-advertisement-status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "activation_announce": {}, "activation_withdraw": {}, "name": "example", "namespace": "example" }'Update Infraprotect Internet prefix advertisement.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace in which internet prefix advertisement status has to be updated.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to toggle Internet prefix advertisement announcement/withdrawal.
object
object
object
The name of the infraprotect internet prefix advertisement that has to be updated Required: YES.
Namespace in which internet prefix advertisement status has to be updated Required: YES.
Examplegenerated
{ "activation_announce": {}, "activation_withdraw": {}, "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example